const getEmailCopy = ({ emailType, titleText, targetUserName, comments }) => {
  let paragraph
  let hasLink = true
  switch (emailType) {
    case 'he-assigned':
      paragraph = `You have been assigned as a Handling Editor to ${titleText}. Please click on the link below to access the manuscript and make a decision.`
      break
    case 'he-accepted':
      paragraph = `Dr. ${targetUserName} agreed to be a Handling Editor on ${titleText}. Please click on the link below to access the manuscript.`
      break
    case 'he-declined':
      paragraph = `Dr. ${targetUserName} has declined to be a Handling Editor on ${titleText}.<br/><br/>
      ${comments}`
      hasLink = false
      break
    case 'he-revoked':
      paragraph = `Your Handling Editor assignment to ${titleText} has been revoked.`
      hasLink = false
      break
    default:
      throw new Error(`The ${emailType} email type is not defined.`)
  }

  return { paragraph, hasLink }
}

module.exports = {
  getEmailCopy,
}
