import React from 'react'
import { Button } from '@pubsweet/ui'
import styled from 'styled-components'
import { th } from '@pubsweet/ui-toolkit'

const InfoPage = ({
  location: {
    state: {
      title = 'Successfully',
      content = '',
      path = '/',
      buttonText = 'Go to Dashboard',
    },
  },
  history,
}) => (
  <Root>
    <Title>{title}</Title>
    <Content>{content}</Content>
    <Button onClick={() => history.push(path)} primary>
      {buttonText}
    </Button>
  </Root>
)

export default InfoPage

// #region styles
const Root = styled.div`
  color: ${th('colorText')};
  margin: 0 auto;
  text-align: center;
  width: 70vw;

  a {
    color: ${th('colorText')};
  }
`

const Title = styled.div`
  color: ${th('colorPrimary')};
  font-size: ${th('fontSizeHeading5')};
  font-family: ${th('fontHeading')};
  margin: ${th('gridUnit')} auto;
`

const Content = styled.p`
  color: ${th('colorPrimary')};
  font-family: ${th('fontReading')};
  font-size: ${th('fontSizeBase')};
  margin: ${th('gridUnit')} auto;
`
// #endregion
