import React, { Fragment } from 'react'

import {
  Row,
  RowItem,
  LinkText,
  LabelTitle,
  LabelHeader,
  DefaultText,
} from '../UIComponents/FormItems'
import { getUserTitle } from '../utils'

const AccountDetailsCard = ({
  user: { firstName = '', lastName = '', affiliation = '-', title = '' },
  journal,
  history,
  setEditMode,
}) => (
  <Fragment>
    <Row noMargin>
      <RowItem>
        <LabelHeader> Account Details</LabelHeader>
      </RowItem>
    </Row>
    <Row noMargin>
      <RowItem>
        <LabelTitle> First Name </LabelTitle>
        <LabelTitle> Last Name </LabelTitle>
      </RowItem>
    </Row>
    <Row noMargin>
      <RowItem>
        <DefaultText>{firstName}</DefaultText>
        <DefaultText>{lastName}</DefaultText>
      </RowItem>
    </Row>
    <Row noMargin>
      <RowItem>
        <LabelTitle>Affiliation</LabelTitle>
        <LabelTitle>Title</LabelTitle>
      </RowItem>
    </Row>
    <Row noMargin>
      <RowItem>
        <DefaultText>{affiliation}</DefaultText>
        <DefaultText>{getUserTitle(journal, title)}</DefaultText>
      </RowItem>
    </Row>
    <Row noMargin>
      <RowItem>
        <LinkText onClick={setEditMode(true)}>Edit details</LinkText>
        <LinkText onClick={() => history.push('/profile/change-password')}>
          Change Password
        </LinkText>
      </RowItem>
    </Row>
  </Fragment>
)

export default AccountDetailsCard
